(* This file is part of an ocaml binding of an XSLT engine working on Gdome
 * documents.
 * 
 * The code is largely based on the code of T.J. Mather's XML::GDOME::XSLT
 * Perl module (http://kobesearch.cpan.org/search?dist=XML-GDOME-XSLT)
 *
 * Copyright (C) 2002:
 * 	Claudio Sacerdoti Coen 	<sacerdot@cs.unibo.it>
 * 	Stefano Zacchiroli	<zack@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please send an email to {sacerdot,zack}@cs.unibo.it
 *)

type processed_stylesheet

external setXsltMaxDepth:
  int ->
    unit
  = "setXsltMaxDepth"

external processStylesheet:
  [> `Document] GdomeT.t ->
    processed_stylesheet
  = "ml_processStylesheet"

external applyStylesheet:
  source: [> `Document] GdomeT.t ->
  stylesheet: processed_stylesheet ->
  params: (string * string) list ->
    TDocument.t
  = "ml_applyStylesheet"

external saveResultToChannel:
  outchan: out_channel ->
  result: TDocument.t ->
  stylesheet: processed_stylesheet ->
    unit
  = "ml_saveResultToChannel"

external enableErrorCallback  :  unit -> unit = "ml_enableErrorCallback"
external disableErrorCallback :  unit -> unit = "ml_disableErrorCallback"
external enableDebugCallback  :  unit -> unit = "ml_enableDebugCallback"
external disableDebugCallback :  unit -> unit = "ml_disableDebugCallback"

